<?php
// db_proxy.php
define('SECURE_ACCESS', true);
require_once('../gameconfig.php');

if(!defined('SECURE_ACCESS') || !SECURE_ACCESS) die("Invalid access");

header('Content-Type: application/json');

if (!isset($_POST['action'])) {
    echo json_encode(['error' => 'No action specified']);
    exit;
}

try {
    $pdo = new PDO("mysql:host=" . GAME_DB_HOST . ";dbname=" . GAME_DB_NAME, GAME_DB_USER, GAME_DB_PASS);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    switch ($_POST['action']) {
        case 'get_table_names':
            $stmt = $pdo->query("SHOW TABLES");
            $tables = $stmt->fetchAll(PDO::FETCH_COLUMN);
            echo json_encode(['data' => $tables]);
            break;

        case 'get_columns':
            if (!isset($_POST['table'])) {
                echo json_encode(['error' => 'No table specified']);
                break;
            }
            $table = $_POST['table'];
            $stmt = $pdo->prepare("DESCRIBE `" . $table . "`");
            $stmt->execute();
            $columns = $stmt->fetchAll(PDO::FETCH_COLUMN);
            echo json_encode(['data' => $columns]);
            break;

        case 'get_user_count':
            $stmt = $pdo->prepare("SELECT COUNT(*) as total FROM account");
            $stmt->execute();
            $count = $stmt->fetch(PDO::FETCH_ASSOC)['total'];
            echo json_encode(['data' => $count]);
            break;

        default:
            echo json_encode(['error' => 'Unknown action']);
    }
} catch (PDOException $e) {
    echo json_encode(['error' => 'Database error: ' . $e->getMessage()]);
}
?>