<?php
session_start();
define('SECURE_ACCESS', true);

// Admin jogosultság ellenőrzése
if (!isset($_SESSION['user_id']) || !isset($_SESSION['user_role']) || $_SESSION['user_role'] !== 'admin') {
    die('Hozzáférés megtagadva. Csak adminisztrátorok számára elérhető.');
}

error_reporting(E_ALL);
ini_set('display_errors', 1);

function debugInfo($message) {
    echo "<pre>" . htmlspecialchars($message) . "</pre>";
}

require_once('../../config.php');
require_once('../../gameconfig.php');

function checkDatabaseConnection($host, $name, $user, $pass, $configName) {
    debugInfo("Kísérlet $configName kapcsolódásra:");
    debugInfo("Host: $host");
    debugInfo("Database: $name");
    debugInfo("User: $user");

    try {
        $pdo = new PDO("mysql:host=$host;dbname=$name", $user, $pass);
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        return "kapcsolat sikeres";
    } catch (PDOException $e) {
        debugInfo("PDO hiba: " . $e->getMessage());
        debugInfo("Hiba kód: " . $e->getCode());
        return "kapcsolat sikertelen";
    }
}

echo "config.php: " . checkDatabaseConnection(DB_HOST, DB_NAME, DB_USER, DB_PASS, 'config.php') . "\n";
echo "gameconfig.php: " . checkDatabaseConnection(GAME_DB_HOST, GAME_DB_NAME, GAME_DB_USER, GAME_DB_PASS, 'gameconfig.php') . "\n";

?>