<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $dbHost = $_POST['dbHost'];
    $dbName = $_POST['dbName'];
    $dbUser = $_POST['dbUser'];
    $dbPass = $_POST['dbPass'];
    
    $siteName = $_POST['siteName'];
    $siteDomain = $_POST['siteDomain'];
    $siteUrl = $_POST['siteUrl'];
    
    $adminEmail = $_POST['adminEmail'];
    $adminPass = password_hash($_POST['adminPass'], PASSWORD_DEFAULT);
    
    $configContent = <<<EOT
<?php
if (!defined('SECURE_ACCESS')) {
    die('Közvetlen hozzáférés nem engedélyezett');
}
define('DB_HOST', '$dbHost');
define('DB_NAME', '$dbName');
define('DB_USER', '$dbUser');
define('DB_PASS', '$dbPass');

define('SITE_NAME', '$siteName');
define('SITE_DOMAIN', '$siteDomain');
define('SITE_URL', '$siteUrl');
EOT;

    if (file_put_contents('config.php', $configContent)) {
        try {
            $pdo = new PDO("mysql:host=$dbHost;dbname=$dbName", $dbUser, $dbPass);
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            $pdo->exec("CREATE TABLE IF NOT EXISTS users (
                user_id INT AUTO_INCREMENT PRIMARY KEY,
                user_email VARCHAR(255) NOT NULL UNIQUE,
                password VARCHAR(255) NOT NULL,
                user_role VARCHAR(50) NOT NULL,
                reg_date DATETIME NOT NULL
            )");

            $pdo->exec("CREATE TABLE IF NOT EXISTS siteconfig (
                id INT AUTO_INCREMENT PRIMARY KEY,
                site_name VARCHAR(255) NOT NULL,
                site_domain VARCHAR(255) NOT NULL,
                site_url VARCHAR(255) NOT NULL,
                logo_url VARCHAR(255),
                favicon_url VARCHAR(255),
                og_image VARCHAR(255),
                og_title VARCHAR(255),
                og_desc TEXT,
                keywords TEXT
            )");
            
            $stmt = $pdo->prepare("INSERT INTO users (user_email, password, user_role, reg_date) VALUES (?, ?, 'admin', NOW())");
            $stmt->execute([$adminEmail, $adminPass]);
            
            $stmt = $pdo->prepare("INSERT INTO siteconfig (site_name, site_domain, site_url) VALUES (?, ?, ?)");
            $stmt->execute([$siteName, $siteDomain, $siteUrl]);
            
            echo json_encode(['success' => true]);
        } catch(PDOException $e) {
            echo json_encode(['success' => false, 'error' => $e->getMessage()]);
        }
    } else {
        echo json_encode(['success' => false, 'error' => 'Nem sikerült létrehozni a config fájlt.']);
    }
    exit;
}
?>
<!DOCTYPE html>
<html lang="hu">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Telepítő</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: sans-serif;
            background: linear-gradient(#1a032a, #2a053e);
            min-height: 100vh;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        
        .install-box {
            width: 400px;
            padding: 40px;
            background: rgba(0,0,0,.5);
            box-sizing: border-box;
            box-shadow: 0 15px 25px rgba(0,0,0,.6);
            border-radius: 10px;
        }
        
        .install-box h2 {
            margin: 0 0 30px;
            padding: 0;
            color: #fff;
            text-align: center;
        }
        
        .install-box .user-box {
            position: relative;
        }
        
        .install-box .user-box input {
            width: 100%;
            padding: 10px 0;
            font-size: 16px;
            color: #fff;
            margin-bottom: 30px;
            border: none;
            border-bottom: 1px solid #fff;
            outline: none;
            background: transparent;
        }
        
        .install-box .user-box label {
            position: absolute;
            top: 0;
            left: 0;
            padding: 10px 0;
            font-size: 16px;
            color: #fff;
            pointer-events: none;
            transition: .5s;
        }
        
        .install-box .user-box input:focus ~ label,
        .install-box .user-box input:valid ~ label {
            top: -20px;
            left: 0;
            color: #ffd700;
            font-size: 12px;
        }
        
        .install-box button {
            position: relative;
            display: inline-block;
            padding: 10px 20px;
            color: #ffd700;
            font-size: 16px;
            text-decoration: none;
            text-transform: uppercase;
            overflow: hidden;
            transition: .5s;
            margin-top: 40px;
            letter-spacing: 4px;
            background: transparent;
            border: none;
            cursor: pointer;
        }
        
        .install-box button:hover {
            background: #ffd700;
            color: #4a0e4e;
            border-radius: 5px;
            box-shadow: 0 0 5px #ffd700,
                        0 0 25px #ffd700,
                        0 0 50px #ffd700,
                        0 0 100px #ffd700;
        }
        
        .install-box button span {
            position: absolute;
            display: block;
        }
        
        .install-box button span:nth-child(1) {
            top: 0;
            left: -100%;
            width: 100%;
            height: 2px;
            background: linear-gradient(90deg, transparent, #ffd700);
            animation: btn-anim1 1s linear infinite;
        }
        
        @keyframes btn-anim1 {
            0% {
                left: -100%;
            }
            50%,100% {
                left: 100%;
            }
        }
        
        .install-box button span:nth-child(2) {
            top: -100%;
            right: 0;
            width: 2px;
            height: 100%;
            background: linear-gradient(180deg, transparent, #ffd700);
            animation: btn-anim2 1s linear infinite;
            animation-delay: .25s
        }
        
        @keyframes btn-anim2 {
            0% {
                top: -100%;
            }
            50%,100% {
                top: 100%;
            }
        }
        
        .install-box button span:nth-child(3) {
            bottom: 0;
            right: -100%;
            width: 100%;
            height: 2px;
            background: linear-gradient(270deg, transparent, #ffd700);
            animation: btn-anim3 1s linear infinite;
            animation-delay: .5s
        }
        
        @keyframes btn-anim3 {
            0% {
                right: -100%;
            }
            50%,100% {
                right: 100%;
            }
        }
        
        .install-box button span:nth-child(4) {
            bottom: -100%;
            left: 0;
            width: 2px;
            height: 100%;
            background: linear-gradient(360deg, transparent, #ffd700);
            animation: btn-anim4 1s linear infinite;
            animation-delay: .75s
        }
        
        @keyframes btn-anim4 {
            0% {
                bottom: -100%;
            }
            50%,100% {
                bottom: 100%;
            }
        }
        
        .step {
            display: none;
        }
        
        .step.active {
            display: block;
        }
        
        #message {
            display: none;
            text-align: center;
            color: #ffd700;
            font-size: 18px;
            padding: 20px;
            position: relative;
            overflow: hidden;
        }
        
        #message .success-message {
            position: relative;
            display: inline-block;
            padding: 10px 20px;
            color: #ffd700;
            font-size: 16px;
            text-transform: uppercase;
            overflow: hidden;
            transition: .5s;
            margin-top: 40px;
            letter-spacing: 4px;
        }
        
        #message .success-message span {
            position: absolute;
            display: block;
        }
        
        #message .success-message span:nth-child(1) {
            top: 0;
            left: -100%;
            width: 100%;
            height: 2px;
            background: linear-gradient(90deg, transparent, #ffd700);
            animation: btn-anim1 1s linear infinite;
        }
        
        #message .success-message span:nth-child(2) {
            top: -100%;
            right: 0;
            width: 2px;
            height: 100%;
            background: linear-gradient(180deg, transparent, #ffd700);
            animation: btn-anim2 1s linear infinite;
            animation-delay: .25s
        }
        
        #message .success-message span:nth-child(3) {
            bottom: 0;
            right: -100%;
            width: 100%;
            height: 2px;
            background: linear-gradient(270deg, transparent, #ffd700);
            animation: btn-anim3 1s linear infinite;
            animation-delay: .5s
        }
        
        #message .success-message span:nth-child(4) {
            bottom: -100%;
            left: 0;
            width: 2px;
            height: 100%;
            background: linear-gradient(360deg, transparent, #ffd700);
            animation: btn-anim4 1s linear infinite;
            animation-delay: .75s
        }
        
        .install-box .user-box input:-webkit-autofill,
        .install-box .user-box input:-webkit-autofill:hover,
        .install-box .user-box input:-webkit-autofill:focus,
        .install-box .user-box input:-webkit-autofill:active {
            -webkit-box-shadow: 0 0 0 30px #2a053e inset !important;
            -webkit-text-fill-color: #fff !important;
        }
    </style>
</head>
<body>
    <div class="install-box">
        <h2>Telepítő</h2>
        <form id="installForm" method="post">
            <div id="step1" class="step active">
                <div class="user-box">
                    <input type="text" name="dbHost" required>
                    <label>Host</label>
                </div>
                <div class="user-box">
                    <input type="text" name="dbName" required>
                    <label>Adatbázis név</label>
                </div>
                <div class="user-box">
                    <input type="text" name="dbUser" required>
                    <label>Felhasználónév</label>
                </div>
                <div class="user-box">
                    <input type="password" name="dbPass" required>
                    <label>Jelszó</label>
                </div>
                <button type="button" onclick="nextStep(1)">
                    <span></span><span></span><span></span><span></span>
                    Tovább
                </button>
            </div>

            <div id="step2" class="step">
                <div class="user-box">
                    <input type="text" name="siteName" required>
                    <label>Oldal neve</label>
                </div>
                <div class="user-box">
                    <input type="text" name="siteDomain" required>
                    <label>Domain</label>
                </div>
                <div class="user-box">
                    <input type="url" name="siteUrl" required>
                    <label>Oldal URL</label>
                </div>
                <button type="button" onclick="prevStep(2)">
                    <span></span><span></span><span></span><span></span>
                    Vissza
                </button>
                <button type="button" onclick="nextStep(2)">
                    <span></span><span></span><span></span><span></span>
                    Tovább
                </button>
            </div>

            <div id="step3" class="step">
                <div class="user-box">
                    <input type="email" name="adminEmail" required>
                    <label>Email cím</label>
                </div>
                <div class="user-box">
                    <input type="password" name="adminPass" required>
                    <label>Jelszó</label>
                </div>
                <button type="button" onclick="prevStep(3)">
                    <span></span><span></span><span></span><span></span>
                    Vissza
                </button>
                <button type="submit">
                    <span></span><span></span><span></span><span></span>
                    Telepítés
                </button>
            </div>
        </form>
        <div id="message"></div>
    </div>

    <script>
        function nextStep(currentStep) {
            document.getElementById(`step${currentStep}`).classList.remove('active');
            document.getElementById(`step${currentStep + 1}`).classList.add('active');
        }

        function prevStep(currentStep) {
            document.getElementById(`step${currentStep}`).classList.remove('active');
            document.getElementById(`step${currentStep - 1}`).classList.add('active');
        }

        document.getElementById('installForm').addEventListener('submit', function(e) {
            e.preventDefault();
            var formData = new FormData(this);
            fetch('install.php', {
                method: 'POST',
                body: formData
            })
            .then(response => response.json())
            .then(data => {
                const form = document.getElementById('installForm');
                const message = document.getElementById('message');
                form.style.display = 'none';
                message.style.display = 'block';
                if (data.success) {
                    message.innerHTML = `
                        <div class="success-message">
                            <span></span><span></span><span></span><span></span>
                            Telepítés sikeresen befejeződött!
                        </div>
                    `;
                } else {
                    message.innerHTML = `
                        <div class="success-message">
                            <span></span><span></span><span></span><span></span>
                            Hiba történt a telepítés során: ${data.error}
                        </div>
                    `;
                }
            });
        });

        window.addEventListener('DOMContentLoaded', (event) => {
            const currentUrl = window.location.href;
            const url = new URL(currentUrl);
            document.querySelector('input[name="siteUrl"]').value = currentUrl;
            document.querySelector('input[name="siteDomain"]').value = url.hostname;
        });

        // Autofill probléma megoldása
        document.querySelectorAll('.user-box input').forEach(input => {
            input.addEventListener('input', function() {
                if (this.value) {
                    this.classList.add('has-content');
                } else {
                    this.classList.remove('has-content');
                }
            });

            // Kezdeti állapot ellenőrzése
            if (input.value) {
                input.classList.add('has-content');
            }
        });
    </script>
</body>
</html>